jQuery.fn.tooltip = function(optionen){
	optionen = jQuery.extend({
		alpha: 0.9,
		width: "auto"
	}, optionen);
	
	function zeigeTooltip(evt, inhalt, classname){
		jQuery("<div>", {
			id: "tooltip",
			"class": classname,
			css: {
				position: "absolute",
				left: evt.pageX + 20,
				top: evt.pageY + 20,
				width: optionen.width,
				display: "none"
			},
			html: inhalt
		})
		.appendTo("body")
		.show()
		.fadeTo(0, optionen.alpha);
	}

	jQuery(this).each(function(){
		var inhalt = jQuery(this).attr("title");
		var test = inhalt.search(/\[/g);
		if (test == -1) {
			var classname = "ezTooltip";
		} else {
			inhalt = inhalt.replace(/\[/g, "<");
			inhalt = inhalt.replace(/\]/g, ">");
			var classname = "ezToolinfo";
		}
		
		jQuery(this).attr("title", "");
		jQuery(this).bind({
			mouseenter: function(evt){
				if (jQuery("#tooltip").css("opacity") != 0) {
					jQuery("#tooltip").stop().remove();
				}
				
				zeigeTooltip(evt, inhalt, classname);
			},
			mouseleave: function(){
				jQuery("#tooltip").remove();
			},
			mousemove: function(evt){
				jQuery("#tooltip").css({
					left: evt.pageX + 20,
					top: evt.pageY + 20
				});
			}
		});
	});
}